%{?nodejs_find_provides_and_requires}

%global packagename delay
# tests disabled due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-delay
Version:	4.3.0
Release:	1%{?dist}
Summary:	Delay a promise a specified amount of time

License:	MIT
URL:		https://github.com/sindresorhus/delay.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	https://raw.githubusercontent.com/sindresorhus/delay/v%{version}/test.js

BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

%description
Delay a promise a specified amount of time


%prep
%autosetup -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Nov 11 2019 Jared K. Smith <jsmith@fedoraproject.org> - 4.3.0-1
- Initial packaging
